Subject: [v6ops] diffs for rfc6204bis next version

From: "Hemant Singh (shemant)" <[email-masked]>
Date: Thu, 10 May 2012 11:15:18 -0500

Before I publish the -09, please see the diffs between the impending -09
and the -08 versions below.  Any comments?

Thanks,

Hemant

	<
<http://tools.ietf.org/rfcdiff?url2=draft-ietf-v6ops-6204bis-08.txt>
draft-ietf-v6ops-6204bis-08.txt
<http://tools.ietf.org/html/draft-ietf-v6ops-6204bis-08.txt>  

	 draft-ietf-v6ops-6204bis-09.txt
<http://tools.ietf.org/html/draft-ietf-v6ops-6204bis-09.txt>  >
<http://tools.ietf.org/rfcdiff?url1=draft-ietf-v6ops-6204bis-09.txt> 

	Network Working Group
H. Singh

Network Working Group                                           H. Singh

	Internet-Draft
W. Beebee

Internet-Draft                                                 W. Beebee

	Obsoletes: 6204 (if approved)                        Cisco
Systems, Inc.

Obsoletes: 6204 (if approved)                        Cisco Systems, Inc.

	Intended status: Informational
C. Donley

Intended status: Informational                                 C. Donley

	Expires: October 8, 2012
CableLabs

Expires: November 11, 2012                                     CableLabs

B. Stark

                                                                B. Stark

AT&T

                                                                    AT&T

	                                                           O.
Troan, Ed.

                                                           O. Troan, Ed.

	                                                     Cisco
Systems, Inc.

                                                     Cisco Systems, Inc.

	                                                           April
6, 2012

                                                            May 10, 2012

	           Basic Requirements for IPv6 Customer Edge Routers

           Basic Requirements for IPv6 Customer Edge Routers

	                      draft-ietf-v6ops-6204bis-08

                      draft-ietf-v6ops-6204bis-09

	Abstract

Abstract

	   This document specifies requirements for an IPv6 Customer
Edge (CE)

   This document specifies requirements for an IPv6 Customer Edge (CE)

	   router.  Specifically, the current version of this document
focuses

   router.  Specifically, the current version of this document focuses

	   on the basic provisioning of an IPv6 CE router and the
provisioning

   on the basic provisioning of an IPv6 CE router and the provisioning

	   of IPv6 hosts attached to it.  The document also covers IP
transition

   of IPv6 hosts attached to it.  The document also covers IP transition

	   technologies.  Two transition technologies in RFC 5969's 6rd
and RFC

   technologies.  Two transition technologies in RFC 5969's 6rd and RFC

	   6333's DS-Lite are covered in the document.  The document
obsoletes

   6333's DS-Lite are covered in the document.  The document obsoletes

	   RFC 6204, if approved.

   RFC 6204, if approved.

skipping to change at page 1, line 

42

skipping to change at page 1, line 

42

	   Internet-Drafts are working documents of the Internet
Engineering

   Internet-Drafts are working documents of the Internet Engineering

	   Task Force (IETF).  Note that other groups may also
distribute

   Task Force (IETF).  Note that other groups may also distribute

	   working documents as Internet-Drafts.  The list of current
Internet-

   working documents as Internet-Drafts.  The list of current Internet-

	   Drafts is at http://datatracker.ietf.org/drafts/current/.

   Drafts is at http://datatracker.ietf.org/drafts/current/.

	   Internet-Drafts are draft documents valid for a maximum of
six months

   Internet-Drafts are draft documents valid for a maximum of six months

	   and may be updated, replaced, or obsoleted by other documents
at any

   and may be updated, replaced, or obsoleted by other documents at any

	   time.  It is inappropriate to use Internet-Drafts as
reference

   time.  It is inappropriate to use Internet-Drafts as reference

	   material or to cite them other than as "work in progress."

   material or to cite them other than as "work in progress."

				
	   This Internet-Draft will expire on October 8, 2012.

   This Internet-Draft will expire on November 11, 2012.

	Copyright Notice

Copyright Notice

	   Copyright (c) 2012 IETF Trust and the persons identified as
the

   Copyright (c) 2012 IETF Trust and the persons identified as the

	   document authors.  All rights reserved.

   document authors.  All rights reserved.

	   This document is subject to BCP 78 and the IETF Trust's Legal

   This document is subject to BCP 78 and the IETF Trust's Legal

	   Provisions Relating to IETF Documents

   Provisions Relating to IETF Documents

	   (http://trustee.ietf.org/license-info) in effect on the date
of

   (http://trustee.ietf.org/license-info) in effect on the date of

	   publication of this document.  Please review these documents

   publication of this document.  Please review these documents

skipping to change at page 2, line 

33

skipping to change at page 2, line 

33

	     4.1.  General Requirements . . . . . . . . . . . . . . . .
. . .  7

     4.1.  General Requirements . . . . . . . . . . . . . . . . . . .  7

	     4.2.  WAN-Side Configuration . . . . . . . . . . . . . . .
. . .  7

     4.2.  WAN-Side Configuration . . . . . . . . . . . . . . . . . .  7

	     4.3.  LAN-Side Configuration . . . . . . . . . . . . . . .
. . . 11

     4.3.  LAN-Side Configuration . . . . . . . . . . . . . . . . . . 11

	     4.4.  Transition Technologies Support  . . . . . . . . . .
. . . 13

     4.4.  Transition Technologies Support  . . . . . . . . . . . . . 13

	       4.4.1.  6rd  . . . . . . . . . . . . . . . . . . . . . .
. . . 13

       4.4.1.  6rd  . . . . . . . . . . . . . . . . . . . . . . . . . 13

	       4.4.2.  Dual-Stack Lite (DS-Lite)  . . . . . . . . . . .
. . . 14

       4.4.2.  Dual-Stack Lite (DS-Lite)  . . . . . . . . . . . . . . 14

	     4.5.  Security Considerations  . . . . . . . . . . . . . .
. . . 15

     4.5.  Security Considerations  . . . . . . . . . . . . . . . . . 15

	   5.  IANA Considerations  . . . . . . . . . . . . . . . . . .
. . . 16

   5.  IANA Considerations  . . . . . . . . . . . . . . . . . . . . . 16

	   6.  Acknowledgements . . . . . . . . . . . . . . . . . . . .
. . . 16

   6.  Acknowledgements . . . . . . . . . . . . . . . . . . . . . . . 16

	   7.  Contributors . . . . . . . . . . . . . . . . . . . . . .
. . . 16

   7.  Contributors . . . . . . . . . . . . . . . . . . . . . . . . . 16

	   8.  References . . . . . . . . . . . . . . . . . . . . . . .
. . . 16

   8.  References . . . . . . . . . . . . . . . . . . . . . . . . . . 17

	     8.1.  Normative References . . . . . . . . . . . . . . . .
. . . 16

     8.1.  Normative References . . . . . . . . . . . . . . . . . . . 17

	     8.2.  Informative References . . . . . . . . . . . . . . .
. . . 19

     8.2.  Informative References . . . . . . . . . . . . . . . . . . 19

	   Appendix A.  Changes from RFC 6204 . . . . . . . . . . . . .
. . . 19

   Appendix A.  Changes from RFC 6204 . . . . . . . . . . . . . . . . 20

	   Authors' Addresses . . . . . . . . . . . . . . . . . . . . .
. . . 20

   Authors' Addresses . . . . . . . . . . . . . . . . . . . . . . . . 21

	1.  Introduction

1.  Introduction

	   This document defines basic IPv6 features for a residential
or small-

   This document defines basic IPv6 features for a residential or small-

	   office router, referred to as an IPv6 CE router.  Typically,
these

   office router, referred to as an IPv6 CE router.  Typically, these

	   routers also support IPv4.

   routers also support IPv4.

	   Mixed environments of dual-stack hosts and IPv6-only hosts
(behind

   Mixed environments of dual-stack hosts and IPv6-only hosts (behind

	   the CE router) can be more complex if the IPv6-only devices
are using

   the CE router) can be more complex if the IPv6-only devices are using

	   a translator to access IPv4 servers [RFC6144].  Support for
such

   a translator to access IPv4 servers [RFC6144].  Support for such

skipping to change at page 9, line 

33

skipping to change at page 9, line 

33

	   WAA-3:   The IPv6 CE router MUST support DHCPv6 [RFC3315]
client

   WAA-3:   The IPv6 CE router MUST support DHCPv6 [RFC3315] client

	            behavior.

            behavior.

	   WAA-4:   The IPv6 CE router MUST be able to support the
following

   WAA-4:   The IPv6 CE router MUST be able to support the following

	            DHCPv6 options: IA_NA, Reconfigure Accept [RFC3315],
and

            DHCPv6 options: IA_NA, Reconfigure Accept [RFC3315], and

	            DNS_SERVERS [RFC3646].  The IPv6 CE router SHOULD be
able to

            DNS_SERVERS [RFC3646].  The IPv6 CE router SHOULD be able to

	            support the DNS Search List DNSSL option as
specified in

            support the DNS Search List DNSSL option as specified in

	            [RFC3646].

            [RFC3646].

				
	   WAA-5:   The IPv6 CE router SHOULD implement the Simple
Network Time

   WAA-5:   The IPv6 CE router SHOULD implement the Network Time

	            Protocol (SNTP) as specified in [RFC2030].  If the
CE router

            Protocol (NTP) as specified in [RFC5905].  If the CE router

	            implements SNTP, it requests the SNTP option
[RFC4075] and

            implements NTP, it requests the NTP Server DHCPv6 option

	            uses the received list of servers as primary time
reference,

            [RFC5908] and uses the received list of servers as primary

	            unless explicitly configured otherwise.

            time reference, unless explicitly configured otherwise.

	   WAA-6:   If the IPv6 CE router receives a Router
Advertisement

   WAA-6:   If the IPv6 CE router receives a Router Advertisement

	            message (described in [RFC4861]) with the M flag set
to 1,

            message (described in [RFC4861]) with the M flag set to 1,

	            the IPv6 CE router MUST do DHCPv6 address assignment

            the IPv6 CE router MUST do DHCPv6 address assignment

	            (request an IA_NA option).

            (request an IA_NA option).

	   WAA-7:   If the IPv6 CE router does not acquire global IPv6

   WAA-7:   If the IPv6 CE router does not acquire global IPv6

	            address(es) from either SLAAC or DHCPv6, then it
MUST create

            address(es) from either SLAAC or DHCPv6, then it MUST create

	            global IPv6 address(es) from its delegated
prefix(es) and

            global IPv6 address(es) from its delegated prefix(es) and

	            configure those on one of its internal virtual
network

            configure those on one of its internal virtual network

	            interfaces, unless configured to require a global
IPv6

            interfaces, unless configured to require a global IPv6

	            address on the WAN interface.

            address on the WAN interface.

				
	   WAA-8:   The CE Router MUST support the DHCPv6 SOL_MAX_RT
option

   WAA-8:   The CE Router MUST set its DHCPv6 SOL_MAX_RT parameter to

	            [I-D.droms-dhc-dhcpv6-maxsolrt-update] in a received
DHCPv6

            3600 by default.  When the CE Router receives the DHCPv6

	            Advertise or Reply message and set its internal
SOL_MAX_RT

            SOL_MAX_RT option [I-D.droms-dhc-dhcpv6-maxsolrt-update] in

	            parameter to the value contained in the SOL_MAX_RT
option.

            a received DHCPv6 Advertise or Reply message it sets its

		            internal SOL_MAX_RT parameter to the value
contained in the

		            SOL_MAX_RT option.

	   WAA-9:   As a router, the IPv6 CE router MUST follow the weak
host

   WAA-9:   As a router, the IPv6 CE router MUST follow the weak host

	            (Weak ES) model [RFC1122].  When originating packets
from an

            (Weak ES) model [RFC1122].  When originating packets from an

	            interface, it will use a source address from another
one of

            interface, it will use a source address from another one of

	            its interfaces if the outgoing interface does not
have an

            its interfaces if the outgoing interface does not have an

	            address of suitable scope.

            address of suitable scope.

	   WAA-10:  The IPv6 CE router SHOULD implement the Information
Refresh

   WAA-10:  The IPv6 CE router SHOULD implement the Information Refresh

	            Time option and associated client behavior as
specified in

            Time option and associated client behavior as specified in

	            [RFC4242].

            [RFC4242].

skipping to change at page 14, line 

28

skipping to change at page 14, line 

28

	           of IPv4 through IPCP (i.e., over a PPP connection),
it MUST

           of IPv4 through IPCP (i.e., over a PPP connection), it MUST

	           support user-entered configuration of 6rd.

           support user-entered configuration of 6rd.

	   6RD-3:  If the CE router supports configuration mechanisms
other than

   6RD-3:  If the CE router supports configuration mechanisms other than

	           the 6rd DHCPv4 Option 212 (user-entered, TR-69,
etc.), the CE

           the 6rd DHCPv4 Option 212 (user-entered, TR-69, etc.), the CE

	           router MUST support 6rd in "hub and spoke" mode. 6rd
in "hub

           router MUST support 6rd in "hub and spoke" mode. 6rd in "hub

	           and spoke" requires all IPv6 traffic to go to the 6rd
Border

           and spoke" requires all IPv6 traffic to go to the 6rd Border

	           Relay.  In effect, this requirement removes the
"direct

           Relay.  In effect, this requirement removes the "direct

	           connect to 6rd" route defined in Section 7.1.1 of
[RFC5969].

           connect to 6rd" route defined in Section 7.1.1 of [RFC5969].

				
	   6RD-4:  Per [RFC3704], Section 4.3, the CE router MUST send
traffic

   6RD-4:  A CE router MUST allow 6rd and native IPv6 WAN interfaces to

	           using a prefix learned via 6rd over the 6rd tunnel.

           be active alone as well as simultaneously in order to support

		           coexistence of the two technologies during an
incremental

		           migration period such as a migration from 6rd
to native IPv6.

				
	   6RD-5:  The IPv6 CE router MUST support two operational
modes:

   6RD-5:  Each packet sent on a 6rd or native WAN interface MUST be

	           different prefixes on 6rd and native interfaces or
identical

           directed such that its source IP address is derived from the

	           prefixes on 6rd and native interfaces.

           delegated prefix associated with the upstream network the WAN

		           interface is connected to [Section 4.3
[RFC3704]].

				
	   6RD-6:  By default, the IPv6 CE router MUST prefer a native
IPv6

   6RD-6:  The CE router MUST allow different as well as identical

	           interface over a 6rd virtual interface.

           delegated prefixes to be configured via each (6rd or native)

		           WAN interface.

				
	   6RD-7:  The IPv6 CE router SHOULD support independent WAN
interface

   6RD-7:  In the event that forwarding rules produce a tie between 6rd

	           configuration for 6rd and native IPv6.

           and native IPv6, by default, the IPv6 CE Router MUST prefer

		           native IPv6.

	4.4.2.  Dual-Stack Lite (DS-Lite)

4.4.2.  Dual-Stack Lite (DS-Lite)

	   Dual-Stack Lite [RFC6333] enables both continued support for
IPv4

   Dual-Stack Lite [RFC6333] enables both continued support for IPv4

	   services and incentives for the deployment of IPv6.  It also
de-

   services and incentives for the deployment of IPv6.  It also de-

	   couples IPv6 deployment in the Service Provider network from
the rest

   couples IPv6 deployment in the Service Provider network from the rest

	   of the Internet, making incremental deployment easier.
Dual-Stack

   of the Internet, making incremental deployment easier.  Dual-Stack

	   Lite enables a broadband service provider to share IPv4
addresses

   Lite enables a broadband service provider to share IPv4 addresses

	   among customers by combining two well-known technologies: IP
in IP

   among customers by combining two well-known technologies: IP in IP

	   (IPv4-in-IPv6) and Network Address Translation (NAT).  It is
expected

   (IPv4-in-IPv6) and Network Address Translation (NAT).  It is expected

skipping to change at page 18, line 

5

skipping to change at page 18, line 

13

	   [RFC3646]  Droms, R., "DNS Configuration options for Dynamic
Host

   [RFC3646]  Droms, R., "DNS Configuration options for Dynamic Host

	              Configuration Protocol for IPv6 (DHCPv6)", RFC
3646,

              Configuration Protocol for IPv6 (DHCPv6)", RFC 3646,

	              December 2003.

              December 2003.

	   [RFC3704]  Baker, F. and P. Savola, "Ingress Filtering for
Multihomed

   [RFC3704]  Baker, F. and P. Savola, "Ingress Filtering for Multihomed

	              Networks", BCP 84, RFC 3704, March 2004.

              Networks", BCP 84, RFC 3704, March 2004.

	   [RFC3736]  Droms, R., "Stateless Dynamic Host Configuration
Protocol

   [RFC3736]  Droms, R., "Stateless Dynamic Host Configuration Protocol

	              (DHCP) Service for IPv6", RFC 3736, April 2004.

              (DHCP) Service for IPv6", RFC 3736, April 2004.

				
	   [RFC4075]  Kalusivalingam, V., "Simple Network Time Protocol
(SNTP)

	              Configuration Option for DHCPv6", RFC 4075, May
2005.

 

	   [RFC4191]  Draves, R. and D. Thaler, "Default Router
Preferences and

   [RFC4191]  Draves, R. and D. Thaler, "Default Router Preferences and

	              More-Specific Routes", RFC 4191, November 2005.

              More-Specific Routes", RFC 4191, November 2005.

	   [RFC4193]  Hinden, R. and B. Haberman, "Unique Local IPv6
Unicast

   [RFC4193]  Hinden, R. and B. Haberman, "Unique Local IPv6 Unicast

	              Addresses", RFC 4193, October 2005.

          Addresses", RFC 4193, October 2005.

	   [RFC4242]  Venaas, S., Chown, T., and B. Volz, "Information
Refresh

   [RFC4242]  Venaas, S., Chown, T., and B. Volz, "Information Refresh

	              Time Option for Dynamic Host Configuration
Protocol for

              Time Option for Dynamic Host Configuration Protocol for

	              IPv6 (DHCPv6)", RFC 4242, November 2005.

              IPv6 (DHCPv6)", RFC 4242, November 2005.

 

skipping to change at page 18, line 

49

skipping to change at page 19, line 

6

	   [RFC4862]  Thomson, S., Narten, T., and T. Jinmei, "IPv6
Stateless

   [RFC4862]  Thomson, S., Narten, T., and T. Jinmei, "IPv6 Stateless

	              Address Autoconfiguration", RFC 4862, September
2007.

              Address Autoconfiguration", RFC 4862, September 2007.

	   [RFC4864]  Van de Velde, G., Hain, T., Droms, R., Carpenter,
B., and

   [RFC4864]  Van de Velde, G., Hain, T., Droms, R., Carpenter, B., and

	              E. Klein, "Local Network Protection for IPv6", RFC
4864,

              E. Klein, "Local Network Protection for IPv6", RFC 4864,

	              May 2007.

              May 2007.

	   [RFC5072]  S.Varada, Haskins, D., and E. Allen, "IP Version 6
over

   [RFC5072]  S.Varada, Haskins, D., and E. Allen, "IP Version 6 over

	              PPP", RFC 5072, September 2007.

              PPP", RFC 5072, September 2007.

				
		
   [RFC5905]  Mills, D., Martin, J., Burbank, J., and W. Kasch, "Network

		              Time Protocol Version 4: Protocol and
Algorithms

		              Specification", RFC 5905, June 2010.

		   [RFC5908]  Gayraud, R. and B. Lourdelet, "Network
Time Protocol (NTP)

		              Server Option for DHCPv6", RFC 5908, June
2010.

 

	   [RFC5942]  Singh, H., Beebee, W., and E. Nordmark, "IPv6
Subnet

   [RFC5942]  Singh, H., Beebee, W., and E. Nordmark, "IPv6 Subnet

	              Model: The Relationship between Links and Subnet

              Model: The Relationship between Links and Subnet

	              Prefixes", RFC 5942, July 2010.

              Prefixes", RFC 5942, July 2010.

	   [RFC5969]  Townsley, W. and O. Troan, "IPv6 Rapid Deployment
on IPv4

   [RFC5969]  Townsley, W. and O. Troan, "IPv6 Rapid Deployment on IPv4

	              Infrastructures (6rd) -- Protocol Specification",

              Infrastructures (6rd) -- Protocol Specification",

	              RFC 5969, August 2010.

              RFC 5969, August 2010.

	   [RFC6092]  Woodyatt, J., "Recommended Simple Security
Capabilities in

   [RFC6092]  Woodyatt, J., "Recommended Simple Security Capabilities in

	              Customer Premises Equipment (CPE) for Providing

              Customer Premises Equipment (CPE) for Providing

 End of changes. 14 change 

blocks. 

29 lines changed or deleted

40 lines changed or added

This html diff was produced by rfcdiff 1.41. The latest version is
available from http://tools.ietf.org/tools/rfcdiff/
<http://www.tools.ietf.org/tools/rfcdiff/>

---

From: "Hemant Singh (shemant)" <[email-masked]>
Date: Thu, 10 May 2012 12:24:10 -0500

Chris pointed out the reference to Ralph's solmaxrt was incorrectly
named.  I fixed the issue.

Thanks,

Hemant

From: [email-masked] [mailto:[email-masked]] On Behalf
Of Hemant Singh (shemant)
Sent: Thursday, May 10, 2012 12:15 PM
To: [email-masked]
Subject: [v6ops] diffs for rfc6204bis next version

Thanks,

Hemant

	<

				 

	Network Working Group
H. Singh

	Network Working Group
H. Singh

	Internet-Draft
W. Beebee

	Internet-Draft
W. Beebee

 

	Expires: October 8, 2012
CableLabs

	Expires: November 11, 2012
CableLabs

B. Stark

B. Stark

AT&T

AT&T

	                                                           O.
Troan, Ed.

	                                                           O.
Troan, Ed.

	                                                     Cisco
Systems, Inc.

	                                                     Cisco
Systems, Inc.

	                                                           April
6, 2012

	                                                            May
10, 2012

 

				 

	Abstract

	Abstract

	   RFC 6204, if approved.

	   RFC 6204, if approved.

42

42

				 

				 

				 

	Copyright Notice

	Copyright Notice

				 

				 

33

33

 

. . . 17

. . . 17

 

. . . 21

	1.  Introduction

	1.  Introduction

				 

				 

33

33

	            behavior.

	            behavior.

	            [RFC3646].

	            [RFC3646].

				

	            Protocol (NTP) as specified in [RFC5905].  If the CE
router

	            implements NTP, it requests the NTP Server DHCPv6
option

	            [RFC5908] and uses the received list of servers as
primary

	            time reference, unless explicitly configured
otherwise.

				 

				 

	   WAA-8:   The CE Router MUST set its DHCPv6 SOL_MAX_RT
parameter to

	            3600 by default.  When the CE Router receives the
DHCPv6

	            SOL_MAX_RT option
[I-D.droms-dhc-dhcpv6-maxsolrt-update] in

	            a received DHCPv6 Advertise or Reply message it sets
its

			            internal SOL_MAX_RT parameter to the
value contained in the

			            SOL_MAX_RT option.

				 

	            [RFC4242].

	            [RFC4242].

28

28

				 

				 

	   6RD-4:  A CE router MUST allow 6rd and native IPv6 WAN
interfaces to

	           be active alone as well as simultaneously in order to
support

			           coexistence of the two technologies
during an incremental

			           migration period such as a migration
from 6rd to native IPv6.

				

	   6RD-5:  Each packet sent on a 6rd or native WAN interface
MUST be

	           directed such that its source IP address is derived
from the

	           delegated prefix associated with the upstream network
the WAN

			           interface is connected to [Section
4.3 [RFC3704]].

				

	   6RD-6:  The CE router MUST allow different as well as
identical

	           delegated prefixes to be configured via each (6rd or
native)

			           WAN interface.

				

	   6RD-7:  In the event that forwarding rules produce a tie
between 6rd

	           and native IPv6, by default, the IPv6 CE Router MUST
prefer

			           native IPv6.

				 

				 

5

13

	              December 2003.

	              December 2003.

				 

				 

	

				 

				 

				 

49

6

				 

	              May 2007.

	              May 2007.

				 

			   [RFC5905]  Mills, D., Martin, J., Burbank,
J., and W. Kasch, "Network

			              Time Protocol Version 4: Protocol
and Algorithms

			              Specification", RFC 5905, June
2010.

			   [RFC5908]  Gayraud, R. and B. Lourdelet,
"Network Time Protocol (NTP)

			              Server Option for DHCPv6", RFC
5908, June 2010.

 

				 

	              RFC 5969, August 2010.

	              RFC 5969, August 2010.

				 

blocks.